An RFC for Testing RFC Publication Using Purple
RFC 12345
BCP 999
Jean Mahoney, Ed.
RFC Production Center
2025-11
General
Internet Engineering Task Force
Purple
Red
rfcpa
technical debt
This document is to test Purple and Red publication functionality.
It updates RFC 9110 and obsoletes RFC 3261.
It makes RFC 7991 historic.
It is a Best Current Practice.
Status of This Memo
This document is not an Internet Standards Track specification; it is published for informational purposes.
This document is a product of the Internet Engineering Task Force (IETF). It has been approved for publication by the Internet Engineering Steering Group (IESG). Not all documents approved by the IESG are candidates for any level of Internet Standard; see Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc12345.
Copyright Notice
Copyright (c) 2025 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
Table of Contents
- 1. Introduction
  - 1.1. Requirements Language
- 2. Body [REPLACE]
- 3. IANA Considerations
- 4. Security Considerations
- 5. References
  - 5.1. Normative References
  - 5.2. Informative References
- Appendix A. Appendix 1 [REPLACE/DELETE]
- Acknowledgements
- Contributors
- Author's Address
Introduction
Introductory text [REPLACE]
Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Body [REPLACE]
Body text [REPLACE]
To use a cite tag, see [exampleRefMin] and [exampleRefOrg].
1. Ordered list item [REPLACE/DELETE]
- Bulleted list item [REPLACE/DELETE]
First term: [REPLACE/DELETE]
Definition of the first term [REPLACE/DELETE]
Second term: [REPLACE/DELETE]
Definition of the second term [REPLACE/DELETE]
Column 1 [REPLACE]
Cell [REPLACE]
Source [REPLACE]

source code goes here [REPLACE]

Diagram [REPLACE]

-------------
     art
-------------

IANA Considerations
This memo includes no request to IANA. [CHECK]
Security Considerations
This document should not affect the security of the Internet. [CHECK]
References
Normative References
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
Informative References
[exampleRefMin]

Title [REPLACE]
Initials [REPLACE] Surname [REPLACE]
2006
[exampleRefOrg]

Title [REPLACE]
Organization [REPLACE]
1984
Appendix 1 [REPLACE/DELETE]
This becomes an Appendix [REPLACE]
Acknowledgements
This template uses extracts from templates written by Pekka Savola, Elwyn Davies and Henrik Levkowetz. [REPLACE]
Contributors
Thanks to all of the contributors. [REPLACE]
Author's Address
Jean Mahoney, Ed.
RFC Production Center
jmahoney@staff.rfc-editor.org
www.rfc-editor.org